# Record TCefDisplay

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefDisplay = record`

## Description

This structure typically, but not always, corresponds to a physical display connected to the system. A fake Display may exist on a headless system, or a Display may correspond to a remote, virtual display. All size and position values are in density independent pixel (DIP) coordinates unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Implemented by ICefDisplay.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_display_capi.h">CEF source file: /include/capi/views/cef_display_capi.h (cef_display_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `get_id: function(self: PCefDisplay): int64; stdcall;`
| `get_device_scale_factor: function(self: PCefDisplay): Single; stdcall;`
| `convert_point_to_pixels: procedure(self: PCefDisplay; point: PCefPoint); stdcall;`
| `convert_point_from_pixels: procedure(self: PCefDisplay; point: PCefPoint); stdcall;`
| `get_bounds: function(self: PCefDisplay): TCefRect; stdcall;`
| `get_work_area: function(self: PCefDisplay): TCefRect; stdcall;`
| `get_rotation: function(self: PCefDisplay): Integer; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `get_id: function(self: PCefDisplay): int64; stdcall;`
This item has no description.

| `get_device_scale_factor: function(self: PCefDisplay): Single; stdcall;`
This item has no description.

| `convert_point_to_pixels: procedure(self: PCefDisplay; point: PCefPoint); stdcall;`
This item has no description.

| `convert_point_from_pixels: procedure(self: PCefDisplay; point: PCefPoint); stdcall;`
This item has no description.

| `get_bounds: function(self: PCefDisplay): TCefRect; stdcall;`
This item has no description.

| `get_work_area: function(self: PCefDisplay): TCefRect; stdcall;`
This item has no description.

| `get_rotation: function(self: PCefDisplay): Integer; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.